package kcode.statexmi2java.gui;

import java.util.List;

import javax.swing.JLabel;

import org.ciscavate.cjwizard.WizardPage;
import org.ciscavate.cjwizard.WizardSettings;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * CJWizard wizard page for displaying errors and messages
 */
public class WizardPageError extends WizardPage {
  // page constants
  public static final String      WIZARDPAGE_TITLE = "Error";
  public static final String      WIZARDPAGE_DESC  = "Error Message";

  private static final long serialVersionUID = 1;

  protected final Logger    logger           = LoggerFactory.getLogger(WizardPageFactory.class);

  public WizardPageError(String message) {
    super(WIZARDPAGE_TITLE, WIZARDPAGE_DESC);
    add(new JLabel(message));
  }

  @Override
  public void rendering(List<WizardPage> path, final WizardSettings settings) {
    super.rendering(path, settings);
    setNextEnabled(false);
    setFinishEnabled(false);
  }
}
