package kcode.statexmi2java.xmireader.jaxb;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlID;

public class Behavior {
  @XmlAttribute
	public String name;
	@XmlAttribute
	public String body;
  @XmlAttribute
  public String type;
  @XmlAttribute
  @XmlID
  public String id;
	@XmlAttribute
	public String precondition;
  @XmlAttribute
  public String postcondition;
  @XmlAttribute
  public String isReadOnly;
  @XmlAttribute
  public String isReentrant;
	
	public String getName() {
    return name;
  }

  public String getBody() {
    return body;
  }

  public String getType() {
    return type;
  }

  public String getId() {
    return id;
  }

  public String getPrecondition() {
    return precondition;
  }

  public String getPostcondition() {
    return postcondition;
  }

  public String getIsReadOnly() {
    return isReadOnly;
  }

  public String getIsReentrant() {
    return isReentrant;
  }

  @Override
	public String toString() {
	  StringBuilder sB = new StringBuilder();
	  return sB.append(name).append(" {").append(body).append("}").toString();
	}
}